import type { Placement, Options } from '@fz-design/fz-popperjs';
import type { DefineComponent, PropType, StyleValue, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
declare const _sfc_main: DefineComponent<{
    readonly id: StringConstructor;
    readonly style: {
        readonly type: PropType<StyleValue>;
    };
    readonly className: {
        readonly type: PropType<string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | any)[])[])[])[])[])[])[])[])[])[])[]>;
    };
    readonly effect: {
        readonly type: StringConstructor;
        readonly default: "dark";
    };
    readonly visible: BooleanConstructor;
    readonly enterable: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly pure: BooleanConstructor;
    readonly focusOnShow: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly trapping: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly popperClass: {
        readonly type: PropType<string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | any)[])[])[])[])[])[])[])[])[])[])[]>;
    };
    readonly popperStyle: {
        readonly type: PropType<StyleValue>;
    };
    readonly referenceEl: {
        readonly type: PropType<HTMLElement>;
    };
    readonly triggerTargetEl: {
        readonly type: PropType<HTMLElement>;
    };
    readonly stopPopperMouseEvent: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly ariaLabel: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly virtualTriggering: BooleanConstructor;
    readonly zIndex: NumberConstructor;
    readonly boundariesPadding: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly fallbackPlacements: {
        readonly type: PropType<Placement[]>;
        readonly default: undefined;
    };
    readonly gpuAcceleration: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly offset: {
        readonly type: NumberConstructor;
        readonly default: 12;
    };
    readonly placement: {
        readonly type: StringConstructor;
        readonly values: Placement[];
        readonly default: "bottom";
    };
    readonly popperOptions: {
        readonly type: PropType<Partial<Options>>;
        readonly default: () => {};
    };
    readonly strategy: {
        readonly type: StringConstructor;
        readonly values: readonly ["fixed", "absolute"];
        readonly default: "absolute";
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    mouseenter: (evt: MouseEvent) => evt is MouseEvent;
    mouseleave: (evt: MouseEvent) => evt is MouseEvent;
    focus: () => true;
    blur: () => true;
    close: () => true;
}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly id: StringConstructor;
    readonly style: {
        readonly type: PropType<StyleValue>;
    };
    readonly className: {
        readonly type: PropType<string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | any)[])[])[])[])[])[])[])[])[])[])[]>;
    };
    readonly effect: {
        readonly type: StringConstructor;
        readonly default: "dark";
    };
    readonly visible: BooleanConstructor;
    readonly enterable: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly pure: BooleanConstructor;
    readonly focusOnShow: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly trapping: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly popperClass: {
        readonly type: PropType<string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | any)[])[])[])[])[])[])[])[])[])[])[]>;
    };
    readonly popperStyle: {
        readonly type: PropType<StyleValue>;
    };
    readonly referenceEl: {
        readonly type: PropType<HTMLElement>;
    };
    readonly triggerTargetEl: {
        readonly type: PropType<HTMLElement>;
    };
    readonly stopPopperMouseEvent: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly ariaLabel: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly virtualTriggering: BooleanConstructor;
    readonly zIndex: NumberConstructor;
    readonly boundariesPadding: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly fallbackPlacements: {
        readonly type: PropType<Placement[]>;
        readonly default: undefined;
    };
    readonly gpuAcceleration: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly offset: {
        readonly type: NumberConstructor;
        readonly default: 12;
    };
    readonly placement: {
        readonly type: StringConstructor;
        readonly values: Placement[];
        readonly default: "bottom";
    };
    readonly popperOptions: {
        readonly type: PropType<Partial<Options>>;
        readonly default: () => {};
    };
    readonly strategy: {
        readonly type: StringConstructor;
        readonly values: readonly ["fixed", "absolute"];
        readonly default: "absolute";
    };
}>> & {
    onClose?: (() => any) | undefined;
    onFocus?: (() => any) | undefined;
    onBlur?: (() => any) | undefined;
    onMouseenter?: ((evt: MouseEvent) => any) | undefined;
    onMouseleave?: ((evt: MouseEvent) => any) | undefined;
}, {
    readonly offset: number;
    readonly ariaLabel: string;
    readonly visible: boolean;
    readonly effect: string;
    readonly placement: string;
    readonly strategy: string;
    readonly enterable: boolean;
    readonly pure: boolean;
    readonly focusOnShow: boolean;
    readonly trapping: boolean;
    readonly stopPopperMouseEvent: boolean;
    readonly virtualTriggering: boolean;
    readonly boundariesPadding: number;
    readonly fallbackPlacements: Placement[];
    readonly gpuAcceleration: boolean;
    readonly popperOptions: Partial<Options>;
}, {}>;
export default _sfc_main;
