import type { Placement, Options } from '@fz-design/fz-popperjs';
import type { DefineComponent, PropType, StyleValue, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
declare const _sfc_main: DefineComponent<{
    readonly appendTo: {
        readonly type: PropType<string | HTMLElement>;
    };
    readonly content: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly rawContent: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly persistent: BooleanConstructor;
    readonly ariaLabel: StringConstructor;
    readonly visible: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly transition: StringConstructor;
    readonly teleported: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly disabled: BooleanConstructor;
    readonly id: StringConstructor;
    readonly style: {
        readonly type: PropType<StyleValue>;
    };
    readonly className: {
        readonly type: PropType<string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | any)[])[])[])[])[])[])[])[])[])[])[]>;
    };
    readonly effect: {
        readonly type: StringConstructor;
        readonly default: "dark";
    };
    readonly enterable: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly pure: BooleanConstructor;
    readonly focusOnShow: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly trapping: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly popperClass: {
        readonly type: PropType<string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | any)[])[])[])[])[])[])[])[])[])[])[]>;
    };
    readonly popperStyle: {
        readonly type: PropType<StyleValue>;
    };
    readonly referenceEl: {
        readonly type: PropType<HTMLElement>;
    };
    readonly triggerTargetEl: {
        readonly type: PropType<HTMLElement>;
    };
    readonly stopPopperMouseEvent: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly virtualTriggering: BooleanConstructor;
    readonly zIndex: NumberConstructor;
    readonly boundariesPadding: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly fallbackPlacements: {
        readonly type: PropType<Placement[]>;
        readonly default: undefined;
    };
    readonly gpuAcceleration: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly offset: {
        readonly type: NumberConstructor;
        readonly default: 12;
    };
    readonly placement: {
        readonly type: StringConstructor;
        readonly values: Placement[];
        readonly default: "bottom";
    };
    readonly popperOptions: {
        readonly type: PropType<Partial<Options>>;
        readonly default: () => {};
    };
    readonly strategy: {
        readonly type: StringConstructor;
        readonly values: readonly ["fixed", "absolute"];
        readonly default: "absolute";
    };
    readonly showAfter: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly hideAfter: {
        readonly type: NumberConstructor;
        readonly default: 200;
    };
    readonly autoClose: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly appendTo: {
        readonly type: PropType<string | HTMLElement>;
    };
    readonly content: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly rawContent: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly persistent: BooleanConstructor;
    readonly ariaLabel: StringConstructor;
    readonly visible: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly transition: StringConstructor;
    readonly teleported: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly disabled: BooleanConstructor;
    readonly id: StringConstructor;
    readonly style: {
        readonly type: PropType<StyleValue>;
    };
    readonly className: {
        readonly type: PropType<string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | any)[])[])[])[])[])[])[])[])[])[])[]>;
    };
    readonly effect: {
        readonly type: StringConstructor;
        readonly default: "dark";
    };
    readonly enterable: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly pure: BooleanConstructor;
    readonly focusOnShow: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly trapping: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly popperClass: {
        readonly type: PropType<string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | (string | {
            [x: string]: boolean;
        } | any)[])[])[])[])[])[])[])[])[])[])[]>;
    };
    readonly popperStyle: {
        readonly type: PropType<StyleValue>;
    };
    readonly referenceEl: {
        readonly type: PropType<HTMLElement>;
    };
    readonly triggerTargetEl: {
        readonly type: PropType<HTMLElement>;
    };
    readonly stopPopperMouseEvent: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly virtualTriggering: BooleanConstructor;
    readonly zIndex: NumberConstructor;
    readonly boundariesPadding: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly fallbackPlacements: {
        readonly type: PropType<Placement[]>;
        readonly default: undefined;
    };
    readonly gpuAcceleration: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly offset: {
        readonly type: NumberConstructor;
        readonly default: 12;
    };
    readonly placement: {
        readonly type: StringConstructor;
        readonly values: Placement[];
        readonly default: "bottom";
    };
    readonly popperOptions: {
        readonly type: PropType<Partial<Options>>;
        readonly default: () => {};
    };
    readonly strategy: {
        readonly type: StringConstructor;
        readonly values: readonly ["fixed", "absolute"];
        readonly default: "absolute";
    };
    readonly showAfter: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly hideAfter: {
        readonly type: NumberConstructor;
        readonly default: 200;
    };
    readonly autoClose: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
}>>, {
    readonly disabled: boolean;
    readonly offset: number;
    readonly visible: boolean;
    readonly content: string;
    readonly effect: string;
    readonly placement: string;
    readonly strategy: string;
    readonly rawContent: boolean;
    readonly persistent: boolean;
    readonly teleported: boolean;
    readonly enterable: boolean;
    readonly pure: boolean;
    readonly focusOnShow: boolean;
    readonly trapping: boolean;
    readonly stopPopperMouseEvent: boolean;
    readonly virtualTriggering: boolean;
    readonly boundariesPadding: number;
    readonly fallbackPlacements: Placement[];
    readonly gpuAcceleration: boolean;
    readonly popperOptions: Partial<Options>;
    readonly showAfter: number;
    readonly hideAfter: number;
    readonly autoClose: number;
}, {}>;
export default _sfc_main;
