import { defineComponent as P, ref as S, computed as i, openBlock as s, createBlock as c, unref as t, mergeProps as V, withCtx as n, createElementVNode as a, normalizeClass as r, normalizeStyle as $, resolveDynamicComponent as b, createCommentVNode as T, createTextVNode as m, toDisplayString as f, createVNode as h, renderSlot as w } from "vue";
import { Props as D, Emits as E } from "./index3.js";
import { FzTooltip as I } from "../../tooltip/index.js";
import { useLocale as R } from "../../../hooks/index5.js";
import { useNamespace as x } from "../../../hooks/index24.js";
import { addUnit as A } from "../../../utils/util/index.js";
import { FzSvgIcon as L } from "../../svg-icon/index.js";
import { FzButton as v } from "../../button/index.js";
var O = /* @__PURE__ */ P({
  name: "FzPopconfirm",
  __name: "popconfirm",
  props: D,
  emits: E,
  setup(C, { emit: u }) {
    const p = C, { t: d } = R(), o = x("popconfirm"), y = S(), B = () => {
      var e, l;
      (l = (e = y.value) == null ? void 0 : e.onClose) == null || l.call(e);
    }, z = i(() => ({
      width: A(p.width)
    })), k = (e) => {
      u("confirm", e), B();
    }, g = (e) => {
      u("cancel", e), B();
    }, N = i(
      () => p.confirmButtonText || d("fz.popconfirm.confirmButtonText")
    ), F = i(
      () => p.cancelButtonText || d("fz.popconfirm.cancelButtonText")
    );
    return (e, l) => (s(), c(t(I), V({
      ref_key: "tooltipRef",
      ref: y,
      trigger: "click",
      effect: "light"
    }, e.$attrs, {
      "popper-class": `${t(o).namespace}-popover`,
      "popper-style": z.value,
      teleported: e.teleported,
      "fallback-placements": ["bottom", "top", "right", "left"],
      "hide-after": e.hideAfter,
      persistent: e.persistent
    }), {
      content: n(() => [
        a("div", {
          class: r(t(o).b())
        }, [
          a("div", {
            class: r(t(o).e("main"))
          }, [
            !e.hideIcon && e.icon ? (s(), c(t(L), {
              key: 0,
              class: r(t(o).e("icon")),
              style: $({ color: e.iconColor })
            }, {
              default: n(() => [
                (s(), c(b(e.icon)))
              ]),
              _: 1
            }, 8, ["class", "style"])) : T("", !0),
            m(" " + f(e.title), 1)
          ], 2),
          a("div", {
            class: r(t(o).e("action"))
          }, [
            h(t(v), {
              size: "small",
              type: e.cancelButtonType === "text" ? "" : e.cancelButtonType,
              text: e.cancelButtonType === "text",
              onClick: g
            }, {
              default: n(() => [
                m(f(F.value), 1)
              ]),
              _: 1
            }, 8, ["type", "text"]),
            h(t(v), {
              size: "small",
              type: e.confirmButtonType === "text" ? "" : e.confirmButtonType,
              text: e.confirmButtonType === "text",
              onClick: k
            }, {
              default: n(() => [
                m(f(N.value), 1)
              ]),
              _: 1
            }, 8, ["type", "text"])
          ], 2)
        ], 2)
      ]),
      default: n(() => [
        e.$slots.reference ? w(e.$slots, "reference", { key: 0 }) : T("", !0)
      ]),
      _: 3
    }, 16, ["popper-class", "popper-style", "teleported", "hide-after", "persistent"]));
  }
});
export {
  O as default
};
