import { useTooltipContentProps as e } from "../../tooltip/src/components/index5.js";
import n from "../../../../fz-design-icon/src/icon-alert-circle/index.js";
const i = {
  /**
   * @description Title
   */
  title: String,
  /**
   * @description Confirm button text
   */
  confirmButtonText: String,
  /**
   * @description Cancel button text
   */
  cancelButtonText: String,
  /**
   * @description Confirm button type
   */
  confirmButtonType: {
    type: String,
    default: "primary"
  },
  /**
   * @description Cancel button type
   */
  cancelButtonType: {
    type: String,
    default: "text"
  },
  /**
   * @description Icon Component
   */
  icon: {
    type: Object,
    default: () => n
  },
  /**
   * @description Icon color
   */
  iconColor: {
    type: String,
    default: "#f90"
  },
  /**
   * @description is hide Icon
   */
  hideIcon: {
    type: Boolean,
    default: !1
  },
  /**
   * @description delay of disappear, in millisecond
   */
  hideAfter: {
    type: Number,
    default: 200
  },
  /**
   * @description whether popconfirm is teleported to the body
   */
  teleported: e.teleported,
  /**
   * @description when popconfirm inactive and `persistent` is `false` , popconfirm will be destroyed
   */
  persistent: e.persistent,
  /**
   * @description popconfirm width, min width 150px
   */
  width: {
    type: [String, Number],
    default: 150
  }
}, p = {
  /**
   * @description triggers when click confirm button
   */
  confirm: (t) => t instanceof MouseEvent,
  /**
   * @description triggers when click cancel button
   */
  cancel: (t) => t instanceof MouseEvent
};
export {
  p as Emits,
  i as Props
};
