import { defineComponent as B, inject as K, ref as O, toRef as y, openBlock as F, createBlock as b, unref as e, normalizeClass as D, withCtx as E, renderSlot as I } from "vue";
import N from "../../../popper/src/components/index6.js";
import { TOOLTIP_INJECTION_KEY as R } from "../index2.js";
import { useTooltipTriggerProps as z } from "./index6.js";
import { whenTrigger as s } from "./index7.js";
import { composeEventHandlers as r } from "../../../../utils/util/index.js";
import { useNamespace as P } from "../../../../hooks/index24.js";
var Y = /* @__PURE__ */ B({
  name: "FzTooltipTrigger",
  __name: "trigger",
  props: z,
  setup(g, { expose: p }) {
    const i = g, f = P("tooltip"), { controlled: m, id: d, open: v, onOpen: u, onClose: c, onToggle: l } = K(
      R,
      void 0
    ), C = O(null), n = () => {
      if (e(m) || i.disabled)
        return !0;
    }, t = y(i, "trigger"), T = r(
      n,
      s(t, "hover", u)
    ), _ = r(
      n,
      s(t, "hover", c)
    ), M = r(
      n,
      s(t, "click", (o) => {
        o.button === 0 && l(o);
      })
    ), h = r(
      n,
      s(t, "focus", u)
    ), k = r(
      n,
      s(t, "focus", c)
    ), w = r(
      n,
      s(t, "contextmenu", (o) => {
        o.preventDefault(), l(o);
      })
    ), x = r(
      n,
      (o) => {
        const { code: a } = o;
        i.triggerKeys.includes(a) && (o.preventDefault(), l(o));
      }
    );
    return p({
      /**
       * @description trigger element
       */
      triggerRef: C
    }), (o, a) => (F(), b(N, {
      id: e(d),
      "virtual-ref": o.virtualRef,
      open: e(v),
      "virtual-triggering": o.virtualTriggering,
      class: D(e(f).e("trigger")),
      onBlur: e(k),
      onClick: e(M),
      onContextmenu: e(w),
      onFocus: e(h),
      onMouseenter: e(T),
      onMouseleave: e(_),
      onKeydown: e(x)
    }, {
      default: E(() => [
        I(o.$slots, "default")
      ]),
      _: 3
    }, 8, ["id", "virtual-ref", "open", "virtual-triggering", "class", "onBlur", "onClick", "onContextmenu", "onFocus", "onMouseenter", "onMouseleave", "onKeydown"]));
  }
});
export {
  Y as default
};
