import { computed as n, unref as e, shallowRef as b, ref as v, watch as f, onBeforeUnmount as S } from "vue";
import { createPopper as U } from "../../fz-popperjs/build/index.js";
import { fromPairs as d } from "../utils/lodash/index3.js";
const P = (r, i, p = {}) => {
  const u = {
    name: "updateState",
    enabled: !0,
    phase: "write",
    fn: ({ state: t }) => {
      const a = g(t);
      Object.assign(c.value, a);
    },
    requires: ["computeStyles"]
  }, s = n(() => {
    const { onFirstUpdate: t, placement: a, strategy: m, modifiers: y } = e(p);
    return {
      onFirstUpdate: t,
      placement: a || "bottom",
      strategy: m || "absolute",
      modifiers: [
        ...y || [],
        u,
        { name: "applyStyles", enabled: !1 }
      ]
    };
  }), o = b(), c = v({
    styles: {
      popper: {
        position: e(s).strategy,
        left: "0",
        top: "0"
      },
      arrow: {
        position: "absolute"
      }
    },
    attributes: {}
  }), l = () => {
    o.value && (o.value.destroy(), o.value = void 0);
  };
  return f(
    s,
    (t) => {
      const a = e(o);
      a && a.setOptions(t);
    },
    {
      deep: !0
    }
  ), f([r, i], ([t, a]) => {
    l(), !(!t || !a) && (o.value = U(t, a, e(s)));
  }), S(() => {
    l();
  }), {
    state: n(() => {
      var t;
      return { ...((t = e(o)) == null ? void 0 : t.state) || {} };
    }),
    styles: n(() => e(c).styles),
    attributes: n(() => e(c).attributes),
    update: () => {
      var t;
      return (t = e(o)) == null ? void 0 : t.update();
    },
    forceUpdate: () => {
      var t;
      return (t = e(o)) == null ? void 0 : t.forceUpdate();
    },
    // Preventing end users from modifying the instance.
    instanceRef: n(() => e(o))
  };
};
function g(r) {
  const i = Object.keys(r.elements), p = d(
    i.map(
      (s) => [s, r.styles[s] || {}]
    )
  ), u = d(
    i.map(
      (s) => [s, r.attributes[s]]
    )
  );
  return {
    styles: p,
    attributes: u
  };
}
export {
  P as usePopper
};
