import type { TooltipTriggerType } from './trigger';
import type { Arrayable } from '../../../..';
import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
declare const _sfc_main: DefineComponent<{
    readonly disabled: BooleanConstructor;
    readonly trigger: {
        readonly type: PropType<Arrayable<TooltipTriggerType>>;
        readonly default: "hover";
    };
    readonly triggerKeys: {
        readonly type: PropType<string[]>;
        readonly default: () => string[];
    };
    readonly virtualRef: {
        readonly type: PropType<Measurable>;
    };
    readonly virtualTriggering: BooleanConstructor;
    readonly onMouseenter: {
        readonly type: PropType<(e: Event) => void>;
    };
    readonly onMouseleave: {
        readonly type: PropType<(e: Event) => void>;
    };
    readonly onClick: {
        readonly type: PropType<(e: Event) => void>;
    };
    readonly onKeydown: {
        readonly type: PropType<(e: Event) => void>;
    };
    readonly onFocus: {
        readonly type: PropType<(e: Event) => void>;
    };
    readonly onBlur: {
        readonly type: PropType<(e: Event) => void>;
    };
    readonly onContextmenu: {
        readonly type: PropType<(e: Event) => void>;
    };
    readonly id: StringConstructor;
    readonly open: BooleanConstructor;
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly disabled: BooleanConstructor;
    readonly trigger: {
        readonly type: PropType<Arrayable<TooltipTriggerType>>;
        readonly default: "hover";
    };
    readonly triggerKeys: {
        readonly type: PropType<string[]>;
        readonly default: () => string[];
    };
    readonly virtualRef: {
        readonly type: PropType<Measurable>;
    };
    readonly virtualTriggering: BooleanConstructor;
    readonly onMouseenter: {
        readonly type: PropType<(e: Event) => void>;
    };
    readonly onMouseleave: {
        readonly type: PropType<(e: Event) => void>;
    };
    readonly onClick: {
        readonly type: PropType<(e: Event) => void>;
    };
    readonly onKeydown: {
        readonly type: PropType<(e: Event) => void>;
    };
    readonly onFocus: {
        readonly type: PropType<(e: Event) => void>;
    };
    readonly onBlur: {
        readonly type: PropType<(e: Event) => void>;
    };
    readonly onContextmenu: {
        readonly type: PropType<(e: Event) => void>;
    };
    readonly id: StringConstructor;
    readonly open: BooleanConstructor;
}>>, {
    readonly disabled: boolean;
    readonly open: boolean;
    readonly virtualTriggering: boolean;
    readonly trigger: Arrayable<TooltipTriggerType>;
    readonly triggerKeys: string[];
}, {}>;
export default _sfc_main;
