import type { InjectionKey, Ref } from 'vue';
import type { MaybeRef } from '../types';
export interface FzIdInjectionContext {
    prefix: number;
    current: number;
}
export declare const ID_INJECTION_KEY: InjectionKey<FzIdInjectionContext>;
export declare const useIdInjection: () => FzIdInjectionContext;
export declare const useId: (deterministicId?: MaybeRef<string>) => Ref<string>;
