import { defineComponent as te, useSlots as ne, ref as d, computed as i, reactive as M, onMounted as ae, onBeforeUnmount as le, nextTick as se, createApp as oe, h as ie, openBlock as ue, createElementBlock as re, normalizeClass as R, unref as S, createElementVNode as ce, renderSlot as de } from "vue";
import { Props as fe, Emits as ve } from "./index3.js";
import { useNamespace as he } from "../../../hooks/index24.js";
import { throwError as me } from "../../../utils/console/index.js";
import { addClass as D, removeClass as I } from "../../../utils/util/index.js";
var Ee = /* @__PURE__ */ te({
  name: "FzDanmaku",
  __name: "danmaku",
  props: fe,
  emits: ve,
  setup(P, { expose: V, emit: y }) {
    const l = P, f = he("danmaku"), N = ne(), v = f.e("cell"), T = f.is("move"), k = f.is("pause"), W = f.cssVarBlockName("scroll-width");
    let x = d(document.createElement("div")), s = d(document.createElement("div"));
    const h = d(0), $ = d(0);
    let E = 0;
    const B = d(0), _ = d(0), c = d(0), p = d(!1), g = d({}), o = i({
      get: () => l.modelValue || [],
      set: (n) => {
        y("update:modelValue", n);
      }
    }), u = M({
      channels: i(() => l.channels || B.value),
      autoplay: i(() => l.autoplay),
      loop: i(() => l.loop),
      useSlot: i(() => l.useSlot),
      debounce: i(() => l.debounce),
      randomChannel: i(() => l.randomChannel)
    }), r = M({
      height: i(() => _.value),
      fontSize: i(() => l.fontSize),
      speeds: i(() => l.speeds),
      top: i(() => l.top),
      right: i(() => l.right)
    });
    ae(() => {
      L();
    }), le(() => {
      w();
    });
    function L() {
      b(), l.isSuspend && G(), u.autoplay && H();
    }
    function b() {
      h.value = x.value.offsetWidth, $.value = x.value.offsetHeight, (h.value === 0 || $.value === 0) && me("FzDanmaku", "获取不到容器宽高");
    }
    function H() {
      p.value = !1, E || (E = setInterval(() => A(), u.debounce));
    }
    function A() {
      if (!p.value && o.value.length)
        if (c.value > o.value.length - 1) {
          const n = s.value.children.length;
          u.loop && (n < c.value && (y("list-end"), c.value = 0), z());
        } else
          z();
    }
    function z(n) {
      const a = u.loop ? c.value % o.value.length : c.value, e = n || o.value[a];
      let t = document.createElement("div");
      u.useSlot ? t = F(e, a).$el : (t.innerHTML = e, t.setAttribute("style", l.extraStyle), t.style.fontSize = `${r.fontSize}px`, t.style.lineHeight = `${r.fontSize}px`), D(t, v), s.value.appendChild(t), t.style.opacity = "0", se(() => {
        r.height || (_.value = t.offsetHeight), u.channels || (B.value = Math.floor(
          $.value / (r.height + r.top)
        ));
        let m = j(t);
        if (m >= 0) {
          const C = t.offsetWidth, ee = r.height;
          D(t, T), t.dataset.index = `${a}`, t.style.opacity = "1", t.style.top = m * (ee + r.top) + "px", t.style.width = C + r.right + "px", t.style.setProperty(W, `-${h.value + C}px`), t.style.left = `${h.value}px`, t.style.animationDuration = `${h.value / r.speeds}s`, t.addEventListener("animationend", () => {
            Number(t.dataset.index) === o.value.length - 1 && !u.loop && y("play-end", t.dataset.index), s.value && s.value.removeChild(t);
          }), c.value++;
        } else
          s.value.removeChild(t);
      });
    }
    function F(n, a) {
      return oe({
        // eslint-disable-next-line vue/component-api-style
        render() {
          return ie("div", {}, [
            N.dm && N.dm({
              danmu: n,
              index: a
            })
          ]);
        }
      }).mount(document.createElement("div"));
    }
    function j(n) {
      let a = [...Array(u.channels).keys()];
      u.randomChannel && (a = a.sort(() => 0.5 - Math.random()));
      for (let e of a) {
        const t = g.value[e];
        if (t && t.length)
          for (let m = 0; m < t.length; m++) {
            const C = U(t[m]) - 10;
            if (C <= (n.offsetWidth - t[m].offsetWidth) * 0.88 || C <= 0)
              break;
            if (m === t.length - 1)
              return g.value[e].push(n), n.addEventListener("animationend", () => g.value[e].splice(0, 1)), e % u.channels;
          }
        else
          return g.value[e] = [n], n.addEventListener("animationend", () => g.value[e].splice(0, 1)), e % u.channels;
      }
      return -1;
    }
    function U(n) {
      const a = n.offsetWidth || parseInt(n.style.width), e = n.getBoundingClientRect().right || s.value.getBoundingClientRect().right + a;
      return s.value.getBoundingClientRect().right - e;
    }
    function q() {
      clearInterval(E), E = 0;
    }
    function G() {
      let n = [];
      s.value.addEventListener("mouseover", (a) => {
        let e = a.target;
        e.className.includes(v) || (e = e.closest(`.${v}`) || e), e.className.includes(v) && (n.includes(e) || (y("dm-over", { el: e }), D(e, k), n.push(e)));
      }), s.value.addEventListener("mouseout", (a) => {
        let e = a.target;
        e.className.includes(v) || (e = e.closest(`.${v}`) || e), e.className.includes(v) && (y("dm-out", { el: e }), I(e, k), n.forEach((t) => {
          I(t, k);
        }), n = []);
      });
    }
    function w() {
      q(), c.value = 0;
    }
    function J() {
      _.value = 0, L();
    }
    function K() {
      g.value = {}, s.value.innerHTML = "", p.value = !0, w();
    }
    function O() {
      p.value = !0;
    }
    function Q(n) {
      if (c.value === o.value.length)
        return o.value.push(n), o.value.length - 1;
      {
        const a = c.value % o.value.length;
        return o.value.splice(a, 0, n), a + 1;
      }
    }
    function X(n) {
      return o.value.push(n), o.value.length - 1;
    }
    function Y() {
      return !p.value;
    }
    function Z() {
      b();
      const n = s.value.getElementsByClassName(v);
      for (let a = 0; a < n.length; a++) {
        const e = n[a];
        e.style.setProperty(
          W,
          `-${h.value + e.offsetWidth}px`
        ), e.style.left = `${h.value}px`, e.style.animationDuration = `${h.value / r.speeds}s`;
      }
    }
    return V({
      // element
      container: x,
      dmContainer: s,
      // variable
      paused: p,
      danmuList: o,
      // function
      getPlayState: Y,
      resize: Z,
      play: H,
      pause: O,
      stop: K,
      reset: J,
      add: Q,
      push: X,
      insert: z
    }), (n, a) => (ue(), re("div", {
      ref_key: "container",
      ref: x,
      class: R(S(f).b())
    }, [
      ce("div", {
        ref_key: "dmContainer",
        ref: s,
        class: R([S(f).e("container"), S(f).is("hidden", n.hidden), S(f).is("paused", p.value)])
      }, null, 2),
      de(n.$slots, "default")
    ], 2));
  }
});
export {
  Ee as default
};
