import { defineComponent as Y, inject as j, ref as D, provide as R, onMounted as L, watch as f, unref as e, onBeforeUnmount as U, openBlock as V, createElementBlock as G, mergeProps as H, createVNode as Q, withCtx as X, renderSlot as h } from "vue";
import W from "../../../focus-trap/src/index.js";
import { popperContentProps as ee, popperContentEmits as oe } from "./index2.js";
import { usePopperContentFocusTrap as te } from "../hooks/index3.js";
import { usePopperContent as re } from "../hooks/index.js";
import { usePopperContentDOM as ne } from "../hooks/index2.js";
import { FZ_FORM_ITEM_INJECT_KEY as E, FZ_POPPER_CONTENT_INJECT_KEY as se } from "../../../../constants/index2.js";
import { NOOP as I } from "../../../../utils/util/index.js";
import { isElement as P, isNil as pe } from "../../../../utils/lodash/index2.js";
var Fe = /* @__PURE__ */ Y({
  name: "FzPopperContent",
  __name: "content",
  props: ee,
  emits: oe,
  setup(C, { expose: b, emit: T }) {
    const o = C, {
      focusStartRef: _,
      trapped: l,
      onFocusAfterReleased: A,
      onFocusAfterTrapped: O,
      onFocusInTrap: M,
      onFocusoutPrevented: N,
      onReleaseRequested: w
    } = te(o, T), { attributes: g, arrowRef: y, contentRef: p, styles: q, instanceRef: x, role: d, update: B } = re(o), {
      ariaModal: Z,
      arrowStyle: $,
      contentAttrs: k,
      contentClass: z,
      contentStyle: m,
      updateZIndex: J
    } = ne(o, {
      styles: q,
      attributes: g,
      role: d
    }), a = j(E, void 0), K = D();
    R(se, {
      arrowStyle: $,
      arrowRef: y,
      arrowOffset: K
    }), a && (a.addInputId || a.removeInputId) && R(E, {
      ...a,
      addInputId: I,
      removeInputId: I
    });
    let t;
    const c = (n = !0) => {
      B(), n && J();
    }, S = () => {
      c(!1), o.visible && o.focusOnShow ? l.value = !0 : o.visible === !1 && (l.value = !1);
    };
    return L(() => {
      console.log("popper triggerTargetEl", o.triggerTargetEl), f(
        () => o.triggerTargetEl,
        (n, s) => {
          t == null || t(), t = void 0;
          const r = e(n || p.value), i = e(s || p.value);
          P(r) && (t = f(
            [
              d,
              () => o.ariaLabel,
              Z,
              () => o.id
            ],
            (u) => {
              ["role", "aria-label", "aria-modal", "id"].forEach((v, F) => {
                pe(u[F]) ? r.removeAttribute(v) : (
                  // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
                  r.setAttribute(v, u[F])
                );
              });
            },
            { immediate: !0 }
          )), i !== r && P(i) && ["role", "aria-label", "aria-modal", "id"].forEach((u) => {
            i.removeAttribute(u);
          });
        },
        { immediate: !0 }
      ), f(() => o.visible, S, { immediate: !0 });
    }), U(() => {
      t == null || t(), t = void 0;
    }), b({
      /**
       * @description popper content element
       */
      popperContentRef: p,
      /**
       * @description popperjs instance
       */
      popperInstanceRef: x,
      /**
       * @description method for updating popper
       */
      updatePopper: c,
      /**
       * @description content style
       */
      contentStyle: m
    }), (n, s) => (V(), G("div", H({
      ref_key: "contentRef",
      ref: p
    }, e(k), {
      style: e(m),
      class: e(z),
      tabindex: "-1",
      onMouseenter: s[0] || (s[0] = (r) => n.$emit("mouseenter", r)),
      onMouseleave: s[1] || (s[1] = (r) => n.$emit("mouseleave", r))
    }), [
      Q(e(W), {
        trapped: e(l),
        "trap-on-focus-in": "",
        "focus-trap-el": e(p),
        "focus-start-el": e(_),
        onFocusAfterTrapped: e(O),
        onFocusAfterReleased: e(A),
        onFocusin: e(M),
        onFocusoutPrevented: e(N),
        onReleaseRequested: e(w)
      }, {
        default: X(() => [
          h(n.$slots, "default")
        ]),
        _: 3
      }, 8, ["trapped", "focus-trap-el", "focus-start-el", "onFocusAfterTrapped", "onFocusAfterReleased", "onFocusin", "onFocusoutPrevented", "onReleaseRequested"])
    ], 16));
  }
});
export {
  Fe as default
};
