import { popperTriggerProps as e } from "../../../popper/src/components/index3.js";
import { EVENT_CODE as r } from "../../../../constants/index.js";
const p = {
  ...e,
  /**
   * @description whether Tooltip is disabled
   */
  disabled: Boolean,
  /**
   * @description How should the tooltip be triggered (to show)
   */
  trigger: {
    type: [String, Array],
    default: "hover"
  },
  /**
   * @description When you click the mouse to focus on the trigger element, you can define a set of keyboard codes to control the display of tooltip through the keyboard
   */
  triggerKeys: {
    type: Array,
    default: () => [r.enter, r.space]
  }
};
export {
  p as useTooltipTriggerProps
};
