import { defineComponent as z, ref as i, toRef as p, computed as H, provide as S, readonly as L, unref as m, watch as N, onDeactivated as D, openBlock as s, createBlock as v, withCtx as c, createVNode as y, renderSlot as C, createCommentVNode as T, createElementBlock as k, toDisplayString as F } from "vue";
import { FzPopper as M } from "../../popper/index.js";
import K from "../../popper/src/components/index4.js";
import { TOOLTIP_INJECTION_KEY as V } from "./index2.js";
import { Props as J, Emits as U, useTooltipModelToggle as Y } from "./index4.js";
import j from "./components/index2.js";
import q from "./components/index.js";
import { usePopperContainer as G } from "../../../hooks/index11.js";
import { useDelayedToggle as Q } from "../../../hooks/index14.js";
import { useId as W } from "../../../hooks/index12.js";
import { isBoolean as X } from "../../../utils/lodash/index2.js";
const Z = ["innerHTML"], _ = { key: 1 };
var fe = /* @__PURE__ */ z({
  name: "FzTooltip",
  __name: "tooltip",
  props: J,
  emits: U,
  setup(R, { expose: A, emit: a }) {
    const o = R;
    G();
    const E = W(), l = i(), f = i(), h = () => {
      var t;
      const e = m(l);
      e && ((t = e.popperInstanceRef) == null || t.update());
    }, r = i(!1), n = i(), { show: I, hide: d, hasUpdateHandler: O } = Y({
      indicator: r,
      toggleReason: n
    }), { onOpen: g, onClose: u } = Q({
      showAfter: p(o, "showAfter"),
      hideAfter: p(o, "hideAfter"),
      autoClose: p(o, "autoClose"),
      open: I,
      close: d
    }), P = H(() => X(o.visible) && !O.value);
    S(V, {
      controlled: P,
      id: E,
      open: L(r),
      trigger: p(o, "trigger"),
      onOpen: (e) => {
        g(e);
      },
      onClose: (e) => {
        u(e);
      },
      onToggle: (e) => {
        m(r) ? u(e) : g(e);
      },
      onShow: () => {
        a("show", n.value);
      },
      onHide: () => {
        a("hide", n.value);
      },
      onBeforeShow: () => {
        a("before-show", n.value);
      },
      onBeforeHide: () => {
        a("before-hide", n.value);
      },
      updatePopper: h
    }), N(
      () => o.disabled,
      (e) => {
        e && r.value && (r.value = !1);
      }
    );
    const B = (e) => {
      var b, w;
      const t = (w = (b = f.value) == null ? void 0 : b.contentRef) == null ? void 0 : w.popperContentRef, $ = (e == null ? void 0 : e.relatedTarget) || document.activeElement;
      return t && t.contains($);
    };
    return D(() => r.value && d()), A({
      /**
       * @description fz-popper component instance
       */
      popperRef: l,
      /**
       * @description fz-tooltip-content component instance
       */
      contentRef: f,
      /**
       * @description validate current focus event is trigger inside fz-tooltip-content
       */
      isFocusInsideContent: B,
      /**
       * @description update fz-popper component instance
       */
      updatePopper: h,
      /**
       * @description expose onOpen function to mange fz-tooltip open state
       */
      onOpen: g,
      /**
       * @description expose onOpen function to mange fz-tooltip open state
       */
      onClose: u,
      /**
       * @description expose hide function
       */
      hide: d
    }), (e, t) => (s(), v(m(M), {
      ref_key: "popperRef",
      ref: l,
      role: e.role
    }, {
      default: c(() => [
        y(j, {
          disabled: e.disabled,
          trigger: e.trigger,
          "trigger-keys": e.triggerKeys,
          "virtual-ref": e.virtualRef,
          "virtual-triggering": e.virtualTriggering
        }, {
          default: c(() => [
            e.$slots.default ? C(e.$slots, "default", { key: 0 }) : T("", !0)
          ]),
          _: 3
        }, 8, ["disabled", "trigger", "trigger-keys", "virtual-ref", "virtual-triggering"]),
        y(q, {
          ref_key: "contentRef",
          ref: f,
          "aria-label": e.ariaLabel,
          "boundaries-padding": e.boundariesPadding,
          content: e.content,
          disabled: e.disabled,
          effect: e.effect,
          enterable: e.enterable,
          "fallback-placements": e.fallbackPlacements,
          "hide-after": e.hideAfter,
          "gpu-acceleration": e.gpuAcceleration,
          offset: e.offset,
          persistent: e.persistent,
          "popper-class": e.popperClass,
          "popper-style": e.popperStyle,
          placement: e.placement,
          "popper-options": e.popperOptions,
          pure: e.pure,
          "raw-content": e.rawContent,
          "reference-el": e.referenceEl,
          "trigger-target-el": e.triggerTargetEl,
          "show-after": e.showAfter,
          strategy: e.strategy,
          teleported: e.teleported,
          transition: e.transition,
          "virtual-triggering": e.virtualTriggering,
          "z-index": e.zIndex,
          "append-to": e.appendTo
        }, {
          default: c(() => [
            C(e.$slots, "content", {}, () => [
              e.rawContent ? (s(), k("span", {
                key: 0,
                innerHTML: e.content
              }, null, 8, Z)) : (s(), k("span", _, F(e.content), 1))
            ]),
            e.showArrow ? (s(), v(K, {
              key: 0,
              "arrow-offset": e.arrowOffset
            }, null, 8, ["arrow-offset"])) : T("", !0)
          ]),
          _: 3
        }, 8, ["aria-label", "boundaries-padding", "content", "disabled", "effect", "enterable", "fallback-placements", "hide-after", "gpu-acceleration", "offset", "persistent", "popper-class", "popper-style", "placement", "popper-options", "pure", "raw-content", "reference-el", "trigger-target-el", "show-after", "strategy", "teleported", "transition", "virtual-triggering", "z-index", "append-to"])
      ]),
      _: 3
    }, 8, ["role"]));
  }
});
export {
  fe as default
};
