import { getCurrentInstance as t, inject as i, computed as s, unref as c } from "vue";
import { useNamespace as u } from "./index24.js";
import { isClient as d } from "../utils/lodash/index2.js";
import { warning as I } from "../utils/console/index.js";
const r = {
  prefix: Math.floor(Math.random() * 1e4),
  current: 0
}, p = Symbol("fzIdInjection"), m = () => t() ? i(p, r) : r, l = (n) => {
  const e = m();
  !d && e === r && I(
    "IdInjection",
    `Looks like you are using server rendering, you must provide a id provider to ensure the hydration process to be succeed
usage: app.provide(ID_INJECTION_KEY, {
  prefix: number,
  current: number,
})`
  );
  const o = u("id");
  return s(
    () => c(n) || `${o.b()}-${e.prefix}-${e.current++}`
  );
};
export {
  p as ID_INJECTION_KEY,
  l as useId,
  m as useIdInjection
};
