import { unref as t } from "vue";
import { useTimeout as s } from "./index13.js";
import { isNumber as p } from "../utils/lodash/index2.js";
const y = {
  /**
   * @description delay of appearance, in millisecond
   */
  showAfter: {
    type: Number,
    default: 0
  },
  /**
   * @description delay of disappear, in millisecond
   */
  hideAfter: {
    type: Number,
    default: 200
  },
  /**
   * @description disappear automatically, in millisecond
   */
  autoClose: {
    type: Number,
    default: 0
  }
}, b = ({
  showAfter: m,
  hideAfter: n,
  autoClose: i,
  open: l,
  close: r
}) => {
  const { registerTimeout: u } = s(), {
    registerTimeout: c,
    cancelTimeout: f
  } = s();
  return {
    onOpen: (e) => {
      u(() => {
        l(e);
        const o = t(i);
        p(o) && o > 0 && c(() => {
          r(e);
        }, o);
      }, t(m));
    },
    onClose: (e) => {
      f(), u(() => {
        r(e);
      }, t(n));
    }
  };
};
export {
  b as useDelayedToggle,
  y as useDelayedToggleProps
};
