import type { DefineComponent, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes, PropType } from 'vue';
declare const _sfc_main: DefineComponent<{
    readonly loop: BooleanConstructor;
    readonly trapped: BooleanConstructor;
    readonly focusTrapEl: PropType<HTMLElement>;
    readonly focusStartEl: {
        readonly type: PropType<"first" | "container" | HTMLElement>;
        readonly default: "first";
    };
}, {
    onKeydown: (e: KeyboardEvent) => void;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("focusAfterTrapped" | "focusAfterReleased" | "focusin" | "focusout" | "focusout-prevented" | "release-requested")[], "focusAfterTrapped" | "focusAfterReleased" | "focusin" | "focusout" | "focusout-prevented" | "release-requested", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly loop: BooleanConstructor;
    readonly trapped: BooleanConstructor;
    readonly focusTrapEl: PropType<HTMLElement>;
    readonly focusStartEl: {
        readonly type: PropType<"first" | "container" | HTMLElement>;
        readonly default: "first";
    };
}>> & {
    onFocusAfterTrapped?: ((...args: any[]) => any) | undefined;
    onFocusAfterReleased?: ((...args: any[]) => any) | undefined;
    onFocusin?: ((...args: any[]) => any) | undefined;
    onFocusout?: ((...args: any[]) => any) | undefined;
    "onFocusout-prevented"?: ((...args: any[]) => any) | undefined;
    "onRelease-requested"?: ((...args: any[]) => any) | undefined;
}, {
    readonly loop: boolean;
    readonly trapped: boolean;
    readonly focusStartEl: "first" | "container" | HTMLElement;
}, {}>;
export default _sfc_main;
