import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import Popper from "./src/popper";
import PopperArrow from "./src/components/arrow";
import PopperContent from "./src/components/content";
import PopperTrigger from "./src/components/trigger";
export declare const FzPopper: Install<DefineComponent<{
    readonly role: {
        readonly type: PropType<"listbox" | "grid" | "menu" | "tooltip" | "dialog" | "group" | "navigation" | "tree">;
        readonly default: "tooltip";
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly role: {
        readonly type: PropType<"listbox" | "grid" | "menu" | "tooltip" | "dialog" | "group" | "navigation" | "tree">;
        readonly default: "tooltip";
    };
}>>, {
    readonly role: "listbox" | "grid" | "menu" | "tooltip" | "dialog" | "group" | "navigation" | "tree";
}, {}>>;
export type PopperInstance = InstanceType<typeof Popper>;
export * from './src/interface';
export * from './src/hooks';
export { Popper, PopperArrow, PopperContent, PopperTrigger };
export default FzPopper;
