import type { ExtractPropTypes } from 'vue';
import type Thumb from "./thumb";
export declare const thumbProps: {
    readonly vertical: BooleanConstructor;
    readonly size: StringConstructor;
    readonly move: NumberConstructor;
    readonly ratio: {
        readonly type: NumberConstructor;
        readonly required: true;
    };
    readonly always: BooleanConstructor;
};
export type ThumbProps = ExtractPropTypes<typeof thumbProps>;
export type ThumbInstance = InstanceType<typeof Thumb>;
