import type { Ref } from 'vue';
import type { Options, VirtualElement } from '@fz-design/fz-popperjs';
type ElementType = HTMLElement | undefined;
type ReferenceElement = ElementType | VirtualElement;
export type PartialOptions = Partial<Options>;
export declare const usePopper: (referenceElementRef: Ref<ReferenceElement>, popperElementRef: Ref<ElementType>, opts?: Ref<PartialOptions> | PartialOptions) => any;
export type UsePopperReturn = ReturnType<typeof usePopper>;
export {};
